-- #50
CREATE TABLE patchhandlerhostversion (
    patchhandlerid    integer      NOT NULL
,   patchhostid       integer      NOT NULL
,   patchversionid    integer      NOT NULL
,   constraint pk_patchhandlerhostversion primary key (patchhandlerid, patchhostid, patchversionid)
,   constraint fk_patchhandlerhostversion_patchhandler  foreign key (patchhandlerid)
        references patchhandler  (patchhandlerid)
,   constraint fk_patchhandlerhostversion_patchhost  foreign key (patchhostid)
        references patchhost  (patchhostid)
,   constraint fk_patchhandlerhostversion_patchversion  foreign key (patchversionid)
        references patchversion  (patchversionid)
)
GO

CREATE UNIQUE INDEX u_patchhandlerhostversion_patchhandlerid_patchhostid ON patchhandlerhostversion (patchhandlerid, patchhostid)
GO