-- #100
CREATE TABLE patchstore (
    patchstoreid       integer      NOT NULL AUTO_INCREMENT
,   name               char(255)    NOT NULL
,   patchstoretypeid   integer      NOT NULL
,   patchversionid     integer      NULL
,   password           char(255)    NULL
,   drivername         char(255)    NULL
,   constraint pk_patchstore                primary key (patchstoreid)
,   constraint fk_patchstore_patchstoretype foreign key (patchstoretypeid)
        references patchstoretype                       (patchstoretypeid)
,   constraint fk_patchstore_patchversion foreign key (patchversionid)
        references patchversion                       (patchversionid)
)
GO

CREATE UNIQUE INDEX u_patchstore_name ON patchstore (name)
GO