-- #155
CREATE TABLE patchstorelanguageversion (
    patchstoreid      integer      NOT NULL
,   patchlanguageid   integer      NOT NULL
,   patchversionid    integer      NOT NULL
,   constraint pk_patchstorelanguageversion            primary key (patchstoreid, patchlanguageid,patchversionid)
,   constraint fk_patchstorelanguageversion_patchstore foreign key    (patchstoreid)
        references patchstore                                         (patchstoreid)
,   constraint fk_patchstorelanguageversion_patchlanguage foreign key (patchlanguageid)
        references patchlanguage                                      (patchlanguageid)
,   constraint fk_patchstorelanguageversion_patchversion foreign key  (patchversionid)
        references patchversion                                       (patchversionid)
)
GO